Subject: Re: bug#30462: flyspell-auto-correct-word 'corrects' more than the current word

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Feb 2018 18:56:02 +0200

> From: 積丹尼 Dan Jacobson <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 15 Feb 2018 20:56:17 +0800
> 
> >>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
> EZ> This happens only if you invoke the command more than once on the same
> EZ> location.  So, while I agree that the doc string should be fixed, the problem
> EZ> you describe can happen only by user request.
> 
> Luckily I noticed the 97th word in the 35th paragraph was subtly
> changing itself. So I was lucky I was a bad speller.
> 
> If I was a good speller it would have probably got to work on some other
> word even more paragraphs back way off the screen. Turing a misspelled
> mother into monster...

Sorry, I don't understand.  My point was that typing C-M-i or C-. once
on a correctly spelled word doesn't try to change any other words in
the buffer.  Flyspell only does that if you invoke that command more
than once.

Are you saying that it happened to you when you invoked the command
only once?  That would be a bug, but then please describe a recipe for
reproducing it, because I don't see it here.

> I would respectfully say fix it to act like its documentation.

That would change its long-standing behavior in incompatible ways, so
I don't think we can do that.

> And make reaching into the dark corners of your document that you are
> not aware of and changing words ... into a non-default bonus feature...
> or move it into M-x dissociated-press.

I'm okay with making this behavior optional, but it will have to be on
by default, for backward compatibility.